Submit Basic Info
POST
/api/v1/kyc/basic-info
const url = 'https://api.parasta.io/api/v1/kyc/basic-info';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"kyc_session_id":"kyc_xxxxx","full_name":"John Doe","eng_surname":"DOE","eng_name":"JOHN","nationality":"KR"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/kyc/basic-info \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "kyc_session_id": "kyc_xxxxx", "full_name": "John Doe", "eng_surname": "DOE", "eng_name": "JOHN", "nationality": "KR" }'Submit basic personal information for KYC verification.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
full_name
required
Full legal name
string
eng_surname
required
English surname
string
eng_name
required
English given name
string
nationality
required
ISO country code
string
Example
{ "kyc_session_id": "kyc_xxxxx", "full_name": "John Doe", "eng_surname": "DOE", "eng_name": "JOHN", "nationality": "KR"}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "step": "basic_info", "completed": true }}